plugins {
    id 'com.android.application'
}

android {
    compileSdkVersion 34
    buildToolsVersion "34.0.0"

    defaultConfig {
        applicationId "com.sobot.moduletest"
        minSdkVersion 17
        targetSdkVersion 34
        versionCode 1
        versionName "1.0"
        //添加此行
        multiDexEnabled true
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
}

dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])
    implementation 'androidx.appcompat:appcompat:1.0.0'
    implementation 'androidx.recyclerview:recyclerview:1.0.0'
    implementation 'com.google.android.material:material:1.4.+'
    implementation project(':sobot_common')
    implementation project(':sobot_widget')
    implementation project(':sobot_album')
//    implementation 'com.sobot.library:widget:0.3'
//    api 'com.sobot.library:sobotcommon:1.0'
//    api 'com.sobot.library:sobotcommon_x:1.0'

    implementation 'com.github.bumptech.glide:glide:4.9.0'
    implementation 'com.sobot.chat:sobotsupport-glidev4:2.3'
//    implementation 'com.facebook.fresco:fresco:1.13.0'
    //android x 可以用这个 ，普通版不能用这个
//    implementation 'com.facebook.fresco:fresco:2.6.0'
    implementation 'com.squareup.okhttp3:okhttp:4.4.0'

    //添加此行
    implementation 'androidx.multidex:multidex:2.0.0'

}